%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugins .so from provides
%define __provides_exclude_from %{_libdir}/tumbler-1/plugins/.*\\.so

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary: 	A thumbnail D-Bus service
Name: 		tumbler
Version: 	0.2.7
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://docs.xfce.org/xfce/thunar/tumbler
Source0: 	https://archive.xfce.org/src/apps/tumbler/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(libopenraw-gnome-0.1)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libffmpegthumbnailer)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	jpeg-devel

%description
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types. It is an implementation of the
thumbnail management D-Bus specification.

%package -n %{libname}
Summary:	A D-bus thumbnailing framework
Group:		System/Libraries

%description -n %{libname}
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README TODO ChangeLog
%dir %{_sysconfdir}/xdg/tumbler/
%{_sysconfdir}/xdg/tumbler/tumbler.rc
%{_libdir}/tumbler-1/%{name}d
%dir %{_libdir}/tumbler-1/plugins/
%dir %{_libdir}/tumbler-1/plugins/cache/
%{_libdir}/tumbler-1/plugins/cache/tumbler-cache-plugin.so
%{_libdir}/tumbler-1/plugins/cache/tumbler-xdg-cache.so
%{_libdir}/tumbler-1/plugins/tumbler-cover-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-desktop-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-gst-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-ffmpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-font-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-jpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-odf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-poppler-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-raw-thumbnailer.so
%{_datadir}/dbus-1/services/*.service

%files -n %{libname}
%{_libdir}/*%{name}-%{api}.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/*%{name}-%{api}.so
%{_includedir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
